Bug 1472752 - [Docs][VMM][Tech] Improve Snapshot Deletion Descriptions
[Docs][VMM][Tech] Improve Snapshot Deletion Descriptions
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.1.3
Unspecified Unspecified
low Severity low
: ovirt-4.1.6
: ---
Assigned To: Megan Lewis
rhev-docs@redhat.com
:
Depends On: 1480076
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 06:56 EDT by Emma Heftman
Modified: 2017-08-28 23:11 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Emma Heftman 2017-07-19 06:56:12 EDT
Feedback received from Gordon Watson, while reviewing another bug 132629.

> The Technical Guide in 8.5. Snapshot Deletion starts discussing some
> generalities about snapshots and then says "Snapshot deletion is handled as
> an asynchronous block job .....". That's true for live snapshot deletion,
> but not for offline deletion. Since the section is for general Snapshot
> Deletion and not just the live option, then something about offline deletion
> should be mentioned too. Also, something suggesting not to shut the VM down
> until a retry has been performed would have been good.
> 
> In the Virtual Machine Management Guide in 6.9.4. Deleting a Snapshot, the
> information there is incorreHis info is different in older versions of the
> manual, so not sure what this is. It also doesn't mention live deletion
> (merge). 
> 
> This is just my opinion here, of course. Also, perhaps I'm a bit late with
> this review, as the bug has been closed.
Comment 1 Lucy Bopf 2017-07-24 21:25:34 EDT
Allon, Ala, since you worked with Emma in bug 1323629, can you review these sections of the Technical Guide and VMM Guide, so we can fix any problems all at once?

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/technical_reference/#Snapshot_Deletion

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/virtual_machine_management_guide/#Deleting_a_snapshot

Thanks!
Comment 2 Allon Mureinik 2017-07-25 02:36:10 EDT
The following sentence in 8.5 may need some attention WRT having the VM shutdown, but I'm not sure about the details. Ala?
"""
Snapshot deletion is handled as an asynchronous block job in which VDSM maintains a record of the operation in the recovery file for the virtual machine so that the job can be tracked even if VDSM is restarted or the virtual machine is shut down during the operation. 
"""


In 6.9.4:
"""
You can delete a virtual machine snapshot and permanently remove it from your Red Hat Virtualization environment. This operation is only supported on a running virtual machine.
"""
The second sentence is wrong and should be removed.


In 6.9.4's "Important" notice:
"""
Otherwise, snapshot deletion will fail and you will need to export and re-import the volume to remove snapshots.
"""
Can we replace "will" with "might", to make the sentence a bit softer?
Comment 3 Lucy Bopf 2017-08-07 20:47:19 EDT
Thanks, Allon!

Just resetting the needinfo on Ala. Ala, please see Allon's question in comment 2.
Comment 4 Ala Hino 2017-08-09 07:39:24 EDT
(In reply to Allon Mureinik from comment #2)
> The following sentence in 8.5 may need some attention WRT having the VM
> shutdown, but I'm not sure about the details. Ala?
> """
> Snapshot deletion is handled as an asynchronous block job in which VDSM
> maintains a record of the operation in the recovery file for the virtual
> machine so that the job can be tracked even if VDSM is restarted or the
> virtual machine is shut down during the operation. 
> """
> 
> 
> In 6.9.4:
> """
> You can delete a virtual machine snapshot and permanently remove it from
> your Red Hat Virtualization environment. This operation is only supported on
> a running virtual machine.
> """
> The second sentence is wrong and should be removed.
> 
> 
> In 6.9.4's "Important" notice:
> """
> Otherwise, snapshot deletion will fail and you will need to export and
> re-import the volume to remove snapshots.
> """
> Can we replace "will" with "might", to make the sentence a bit softer?

Once the VM is restarted the block job isn't tracked anymore and the user will have to re-try live merge.

Note You need to log in before you can comment on or make changes to this bug.